=== debian/changelog ===
libconfuse (3.3-4) unstable; urgency=medium

  * Add Vcs-git and Vcs-browser to debian/control
  * Build-Depends on pkgconf instead of pkg-config
  * Drop obsolete XS-Testsuite: from debian/control, dpkg adds it
    automatically
  * Apply upstream patches fixing typos
  * Rewrite debian/copyright in Machine-readable format
  * Do not run msgmerge during build (Closes: #1049128)
  * Ignore blhc errors for testsuite
  * Install all manpages
  * Improve libconfuse-doc description
  * Remove redudant section entries from debian/control
  * Add Build-Depends-Package annotation to the symbols file
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Apr 2025 22:38:54 +0200

libconfuse (3.3-3) unstable; urgency=high

  * Urgency set to high due to the security issue.
  * Add debian/patches/CVE-2022-40320.patch from upstream to fix a heap-based
    buffer over-read in cfg_tilde_expand (CVE-2022-40320).  Closes: #1019596.
  * Enable hardening flags.  Closes: #993178.
  * Bumped Standards-Version to 4.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Sep 2022 23:08:48 +0200

libconfuse (3.3-2) unstable; urgency=medium

  * German translation update, by Fabian Baumanis.  Closes: #978117.
  * Update debian/copyright to use a verbatim copy of the copyright
    information instead of a reformated one.
  * Bumped Standards-Version to 4.5.1.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Jan 2021 15:30:20 +0100

libconfuse (3.3-1) unstable; urgency=medium

  * New upstream version:
    - Rename the source package from confuse to libconfuse to match the
      upstream name.
    - Build the orig tarball from the git tag instead of using the upstream
      one. This prevent files without source in the orig tarball (autoconf,
      libtool, doxygen, etc.).
    - Drop debian/patches/de.po.patch.
    - Update symbol files.
    - Add new autopkgtests using new upstream tests.
  * Bump debhelper compat to 13.
  * Update the upstream URL in debian/control and debian/copyright.
  * Add a watch file.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2020 16:12:56 +0200

confuse (3.2.2+dfsg-2) unstable; urgency=medium

  * Fix autopkgtests with recent GCC version, LDFLAGS needs to be last.
  * German translation update, by Chris Leick.  Closes: #945549.
  * Switch to debhelper 12, the declarative way.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Mar 2020 00:12:59 +0200

confuse (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Drop debian/patches/CVE-2018-14447.patch.
  * Set Rules-Requires-Root: no.
  * Add autopkgtests.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Aug 2018 20:02:04 +0200

confuse (3.2.1+dfsg-5) unstable; urgency=high

  * Add debian/patches/CVE-2018-14447.patch from upstream to fix
    an out of bound read in trim_whitespace (CVE-2018-14447).  Closes:
    #904159.
  * Set the urgency to high due to the security issue.
  * Bumped Standards-Version to 4.2.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Aug 2018 11:51:32 +0200

confuse (3.2.1+dfsg-4) unstable; urgency=medium

  * Mark libconfuse-doc as Multi-Arch: foreign.
  * Mark libconfuse-dev as Multi-Arch: same.
  * Bumped Standards-Version to 4.1.2 (no changes).
  * Relax build-dependency on libconfuse-common to >= instead of = to
    ease upgrades and future transitions.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Dec 2017 20:20:51 +0000

confuse (3.2.1+dfsg-3) unstable; urgency=medium

  * Fix building documentation through the binary-indep target.
  * Move documentation Build-Depends to Build-Depends-Indep.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Dec 2017 20:43:49 +0000

confuse (3.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Dec 2017 23:53:17 +0100

confuse (3.2.1+dfsg-1) experimental; urgency=medium

  * New upstream version:
    - ABI change, rename libconfuse1 into libconfuse2.
  * Split-out documentation into libconfuse-doc.
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 23 Nov 2017 22:51:45 +0100

confuse (3.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - Completely free allocated memory in cfg_free() (closes: #639115).
    - Update symbols file. Drop cfg_scan_string_{begin,end}, they have
      disappeared from the library, but have not been part of the public
      API.
  * Switch to debhelper 10.
  * Bumped Standards-Version to 4.0.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Jun 2017 14:23:33 +0000

confuse (3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 Jun 2016 21:41:34 +0200

confuse (3.0+dfsg-1) experimental; urgency=medium

  * New upstream version (closes: #824697)
    - Rename libconfuse0 into libconfuse1 to match the ABI change.
    - Drop debian/patches/02-doxygen-dotfont.patch (obsolete)
  * Upload to experimental.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 May 2016 16:14:54 +0000

confuse (2.8+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Drop debian/patches/01-german-translation.patch (merged upstream).
  * Update upstream URL to the new site.
  * Update symbols file.
  * Bumped Standards-Version to 3.9.8.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 May 2016 21:20:46 +0200

confuse (2.7-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to dh.
  * Rebuild the documentation in the build process.
  * Pass --with autoreconf to dh (closes: #749051).
  * Bumped Standards-Version to 3.9.5.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 May 2014 21:56:23 +0200

confuse (2.7-4) unstable; urgency=low

  * Run the testsuite during build (closes: #635915).
  * Add build-arch and build-indep targets.


