=== debian/control ===
Source: libconfuse
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: flex, pkgconf
Build-Depends-Indep: doxygen, xmlto
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/libconfuse/libconfuse
Vcs-Git: https://salsa.debian.org/aurel32/libconfuse.git
Vcs-Browser: https://salsa.debian.org/aurel32/libconfuse

Package: libconfuse2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libconfuse-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for parsing configuration files
 libConfuse is a configuration file parser library written in C. It
 supports sections and (lists of) values (strings, integers, floats,
 booleans or other sections), as well as some other features (such as
 single/double-quoted strings, environment variable expansion,
 functions and nested include statements).
 .
 It makes it very easy to add configuration file capability to a
 program using a simple API.

Package: libconfuse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common files for libConfuse
 This package contains internationalization files for the confuse
 library.

Package: libconfuse-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libconfuse2 (= ${binary:Version}), ${misc:Depends}
Recommends: libconfuse-doc
Description: Development files for libConfuse
 This package contains the header files and static library needed to
 compile applications that use the confuse library.

Package: libconfuse-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libconfuse-dev
Breaks: libconfuse-dev (<< 3.2.1+dfsg-1~)
Replaces: libconfuse-dev (<< 3.2.1+dfsg-1~)
Description: Documentation for libConfuse
 This package contains the documentation of the confuse library. This includes
 the reference documentation and a tutorial, both in HTML version, and man
 pages.
