=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-static --disable-silent-rules

	# testsuite is not shipped, tests are linked statically against libconfuse.a
	@echo 'blhc: ignore-line-regexp: .*libtool: link: .* -L../src ../src/.libs/libconfuse.a'

override_dh_auto_build-arch:
	dh_auto_build -a -- MSGMERGE_UPDATE=/bin/true

override_dh_auto_build-indep:
	dh_auto_build -i -- -C po MSGMERGE_UPDATE=/bin/true
	dh_auto_build -i -- -C doc documentation

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	dh_auto_install -i -- -C po
