=== debian/tests/control ===
Tests: annotate,
       empty-string,
       env,
       ignore-parm,
       include,
       keyval,
       list-plus-syntax,
       modified-flag,
       print-filter,
       quote-before-print,
       searchpath,
       section-add,
       section-getopt,
       section-remove,
       section-title-dupes,
       setmulti-reset,
       setopt-ptr,
       single-title-sections,
       suite-dup,
       suite-func,
       suite-list,
       suite-ptr,
       suite-single,
       suite-validate
Depends: build-essential, libconfuse-dev, pkg-config
